<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * funciones principales de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
?>
	
	<div class="container">
		<h2 class="fs-28 m-b-35">Weby Store</h2>
	</div>
	
	<?php
		$tab	= ( isset( $_GET['tab'] ) ) ? $_GET['tab'] : 'temas';
		// -- ubicacion del controlador de extensiones
				//$tienda_uri = 'http://localhost/~webyplus/descarga/apptienda.php?tab=' . $tab;
				$tienda_uri = 'https://www.webyplus.com/descarga/apptienda.php?tab=' . $tab;
		// -- Leo los datos
				//$htmlTienda = file_get_contents( $tienda_uri );
				$htmlTienda = obtener_contenido_remoto( $tienda_uri );
				$json		= json_decode( $htmlTienda );
				$html		= '';
			if( isset( $json->err ) ){
				print '<div class="row"><div class="col-md-12">' . $json->err . '</div></div>';
			}else{
				foreach( $json as $c => $v ){
						$descarga = ( $v->precio > 0 ) ? 'Con pago' : 'Gratis';
						$html .= '<li class="col-md-4">
							<div class="m-l-5 m-r-5 m-b-10">
								<div></div>
								<div><a href="https://www.webyplus.com/tienda/?ver=detalles&id=' . $v->id . '" target="_blank"><img src="' . $v->imagen . '" alt=""></a></div>
								<h4 class="m-t-10 m-b-15"><a href="https://www.webyplus.com/tienda/?ver=detalles&id=' . $v->id . '" target="_blank">' . $v->titulo . '</a></h4>
								<div class="row">
									<div class="col-md-5">Autor:</div>
									<div class="col-md-7">' . $v->autor . '</div>
								</div>
								<div class="row">
									<div class="col-md-5">Descarga:</div>
									<div class="col-md-7">' . $descarga . '</div>
								</div>
							</div>
						</li>';
				}
	?>
				<ul class="row">
					<?php echo $html ?>
				</ul>		
	<?php
			}
	?>
		
	<script>
		$_("#nuevo").onclick = function(){ 
		  	location.href='<?php echo post_link( 'tienda' ); ?>'; 
		}
		
		$_("#binstalar").onclick = function(){ 
		  	$_("#itema").click();
		}
		
		function publicar(publicado,idn){ 
		  	ecajax('<?php echo com_base() ?>prcss', '#consola_msj', 'acc=e-publicar&publicado=' + publicado + '&post=' + idn);
		}
		
		function eliminar(idn){ 
		  	ecajax('<?php echo com_base() ?>prcss', '#consola_msj', 'acc=e-publicar&post=' + idn);
		}
		
		function insTema(f){
			MsjBox.mostrar('Iniciando instalación de tema...');
			//eformData(f);
			var Data = new FormData(f);
			frmData({
						url: f.action,
						data: Data,
						suceso: function(respuesta){ $_('#consola_msj').innerHTML = respuesta; window.scrollTo( 0, 0 ); }
				});
		}
		
		frmData = function( ajustes ){
			if(window.XMLHttpRequest) {
							var ajax = new XMLHttpRequest();
			}else if(window.ActiveXObject) {
							var ajax = new ActiveXObject('Microsoft.XMLHTTP');
			}
			//var Data = new FormData(ajustes.data);
			//var msRequest = msXHRO();
			ajax.open('POST', ajustes.url, true);
						ajax.onload = function(Event) {
									if (ajax.status == 200) {
											ajustes.suceso(ajax.responseText);
									} else {
											ajustes.suceso(ajax.status);
									}
						};	  
			ajax.send(ajustes.data);			
			//msRequest.send(Data);
		}
		
		  
		//function actualizar(){location.reload(true);}
	</script>
